メインコンテンツへスキップ
PATCH
/
crm-object-schemas
/
v3
/
schemas
/
{objectType}
指定されたカスタムオブジェクトのスキーマを更新します。
curl --request PATCH \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "primaryDisplayProperty": "my_object_property",
  "requiredProperties": [
    "my_object_property"
  ],
  "searchableProperties": [
    "my_object_property"
  ]
}
'
{
  "createdAt": "2020-02-20T18:07:11.390Z",
  "id": "123456",
  "labels": {
    "plural": "My objects",
    "singular": "My object"
  },
  "metaType": "PORTAL_SPECIFIC",
  "name": "my_object",
  "portalId": 12345678,
  "primaryDisplayProperty": "my_object_property",
  "requiredProperties": [
    "my_object_property"
  ],
  "searchableProperties": [
    "my_object_property"
  ],
  "updatedAt": "2020-02-21T14:13:28.818002Z"
}
サポートされる製品
次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing HubEnterprise
Sales HubSales HubEnterprise
Service HubService HubEnterprise
Content HubContent HubEnterprise

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

スキーマの完全修飾名またはオブジェクトタイプID。

ボディ

application/json

Attributes to update in your schema.

Defines attributes to update on an object type.

allowsSensitiveProperties
boolean

オブジェクトタイプにセンシティブとされたプロパティーを含めることができるかどうかを決定します。

clearDescription
boolean

オブジェクトタイプの説明をクリアするかどうかを示します。

description
string

オブジェクトタイプの簡単な説明。

labels
object

Singular and plural labels for the object. Used in CRM display.

:
{
"plural": "My objects",
"singular": "My object"
}
primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

requiredProperties
string[]

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

restorable
boolean

オブジェクトタイプを削除後に復元できるかどうかを指定します。

searchableProperties
string[]

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

レスポンス

successful operation

Defines an object type.

id
string
必須

このオブジェクトタイプの固有ID。{meta-type}-{unique ID}として定義されます。

labels
object
必須

Singular and plural labels for the object. Used in CRM display.

:
{
"plural": "My objects",
"singular": "My object"
}
name
string
必須

このオブジェクトの重複しない名前。内部使用のみ。

requiredProperties
string[]
必須

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

allowsSensitiveProperties
boolean

オブジェクトタイプでセンシティブデータが含まれるプロパティーが許可されるかどうかを示します。

archived
boolean

オブジェクトタイプがアーカイブ済みかどうかを示します。

createdAt
string<date-time>

オブジェクトタイプが作成された日時。

description
string

オブジェクトタイプの説明。

fullyQualifiedName
string

ポータルIDやオブジェクト名を含む、オブジェクトの割り当てられた固有ID。

objectTypeId
string

オブジェクトタイプの固有ID。

portalId
integer<int32>

このオブジェクトタイプが固有であるアカウントのID。

primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

searchableProperties
string[]

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

updatedAt
string<date-time>

オブジェクトタイプが最後に更新された日時。

Last modified on January 23, 2026